@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: 'Poppins', sans-serif;
}

#home-section {
	background-image: url(../images/background.jpg);
	height: 100vh;
	width: 100%;
	background-repeat: no-repeat;
	background-size: cover;
	position: relative;
}

#home-section .foreground img {
	position: absolute;
	z-index: 3;
	width: 100%;
	bottom: 0;
}

#home-section .run img {
	width: 100px;
	height: auto;
	position: absolute;
	z-index: 3;
	bottom: 196px;
	left: 300px;
	transform: rotateZ(-15deg);
}

.header {
	position: fixed;
	width: 100%;
	top: 40px;
	left: 0;
	padding: 10px 100px;
	display: flex;
	justify-content: space-between;
	align-items: center;
	z-index: 9999;
}

.header .logo img {
	max-width: 50px;
	transition: 0.4s;
}

.header .logo img:hover {
	transform: translate(-2px, -2px);
	transition: 0.4s;
}

.header ul {
	display: flex;
	justify-content: center;
	align-items: right;
}

.header ul li {
	list-style: none;
	margin-left: 80px;
}

.header ul li a {
	color: white;
	text-decoration: none;
	padding: 10px 30px;
	border-radius: 10px;
	transition: 0.5s;
	font-weight: 300;
}

.header ul li a:hover {
	background-color: antiquewhite;
	color: black;
	transition: 0.4s;
}

.content {
	position: fixed;
	top: 35%;
	left: 50%;
	transform: translateX(-50%);
	text-align: center;
	z-index: 2;
}

html {
	scroll-behavior: smooth;
}

.sun {
	position: fixed;
	background-color: white;
	border-radius: 50%;
	width: 100px;
	height: 100px;
	top: 150px;
	left: 250px;
	z-index: 2;
	margin: auto;
	transition: all 3s ease;
}

.sun:hover:active {
	transform-origin: center center;
	transform: scale(50.0);
	transition: all 2s ease;
	background: rgb(2,0,36);
	background: linear-gradient(0deg, rgba(2,0,36,1) 0%, rgba(142,142,238,1) 71%, rgba(0,212,255,1) 100%);
}

.sun:hover {
	transform: translate(30px, 30px);
	transition: all 2s ease;
}

.content a {
	line-height: 40px;
  	border-radius: 10px;
  	background-color: #1c1d1e;
  	color: #FFFFFF;
  	text-align: center;
  	font-size: 14px;
  	font-weight: 500;
  	padding: 13px 40px;
  	width: 150px;
  	transition: all 0.5s;
  	cursor: pointer;
}

.content a span {
  	cursor: pointer;
  	display: inline-block;
  	position: relative;
  	transition: 0.5s;
}

.content a span:after {
  	content: '\00bb';
  	position: absolute;
  	opacity: 0;
  	top: 0;
  	right: -20px;
  	transition: 0.5s;
}

.content a:hover span {
  	padding-right: 25px;
}

.content a:hover span:after {
  	opacity: 1;
  	right: 0;
}

.content a:hover {
	transition: 0.8s;
    box-shadow: none;
    border: none;
    z-index: 3;
}

.content h1 {
	color: white;
	font-weight: 700;
	font-size: 70px;
	transition: all 0.8s ease;
}

.content h1:hover {
	transform: translateY(-20px);
	transform-origin: center center;
	transition: all 0.8s ease;
	color: white;
	box-shadow: 0px 60px white;
}

.content h3 {
	color: white;
	font-size: 30px;
	font-weight: 700;
}

.content p {
	color: white;
	line-height: 50px;
	font-weight: 500;
}

#gallery-section {
	background: #1C1D1F;
	height: 100vh;
	max-width: 1920px;
	width: 100%;
	background-repeat: no-repeat;
	background-size: auto;
	position: relative;
	z-index: 4;
}

#gallery-section h1 {
	text-align: center;
	position: relative;
	margin-left: 50%;
	transform: translateX(-50%);
	padding-top: 5%;
	color: white;
	font-weight: 800;
	font-size: 40px;
}

.line {
	background-color: #FC8644;
	width: 50px;
	height: 3px;
	border-radius: 30px;
	margin-left: 50%;
	transform: translateX(-50%);
	margin-top: 1%;
	position: relative;
}

#gallery-section .number {
	position: absolute;
	top: 50px;
	left: 100px;
	font-weight: 800;
	font-size: 100px;
	color: white;
	transition: ease-in 0.3s;
}

#gallery-section .number:hover {
	position: absolute;
	top: 50px;
	left: 100px;
	font-weight: 800;
	font-size: 100px;
	color: floralwhite;
	transform: scale(1.2);
	transition: ease-in 0.3s;
}

.image {
	margin-top: 30px;
}

.listimage {
	display: flex;
	flex-direction: row;
	justify-content: center;
	flex-wrap: wrap;
}

.listimage img {
	max-width: 300px;
	width: 100%;
	height: auto;
	transition: all 0.6s ease;
}

.listimage img:hover {
	transform: translateY(-20px);
	transition: all 0.6s ease;
}

.viewmore {
	position: absolute;
	text-align: center;
	margin-top: 20px;
	left: 50%;
	transform:  translateX(-50%);
	background-color: none;
	padding: 10px 25px;
	border: 2px white solid;
	border-radius: 30px;
	transition: all 0.6s ease-in;
}

.viewmore a {
	text-decoration: none;
	color: white;
}

.viewmore:hover {
	background-color: orange;
	transition: all 0.6s ease-in;
	border: none;
}


#skills-section {
	background: #D2D3D5;
	height: 100vh;
	width: 100%;
	max-width: 1920px;
	background-repeat: no-repeat;
	background-size: auto;
	position: relative;
	z-index: 4;
}

.topskills img {
	position: absolute;
	z-index: -1;
	top: 0;
	left: 0;
	right: 0;
	max-width: 1920px;
	width: 100%;
	height: 765px;
}

.bottomskills {
	max-width: 1920px;
	width: 100%;
	height: 765px;
	position: absolute;
	bottom: 0;
	z-index: 0;
}

#skills-section h1 {
	text-align: center;
	position: relative;
	margin-left: 50%;
	transform: translateX(-50%);
	padding-top: 5%;
	color: white;
	font-weight: 800;
	font-size: 40px;
	z-index: 5;
}

#skills-section .switch {
  	position: relative;
  	display: inline-block;
  	width: 100px;
  	height: 34px;
	margin-left: 50%;
	transform: translateX(-50%);
	margin-top: 1%;
}

/* Hide default HTML checkbox */
input {
	-webkit-appearance: none;
	visibility: hidden;
	display: none;
}

.check {
	position: relative;
	display: block;
	margin-left: 50%;
	transform: translateX(-50%);
	width: 80px;
	height: 29px;
	background-color: none;
	cursor: pointer;
	border-radius: 20px;
	overflow: hidden;
	transition: ease-in 0.3s;
	border: 2px white solid;
}

input:checked ~ .check {
	background-color: #ffffff;
}

.check:before {
	content: '';
	position: absolute;
	top: 2.5px;
	left: 5%;
	background-color: yellow;
	width: 20px;
	height: 20px;
	border-radius: 50%;
	transition: ease-in 0.3s;
}

input:checked ~ .check:before {
	content: '';
	position: absolute;
	top: 2.5px;
	right: 5%;
	left: auto;
	background-color: black;
	width: 20px;
	height: 20px;
	border-radius: 50%;
	transition: ease-in 0.3s;
}

#skills-section .skillsbox1 {
	position: absolute;
	left: 25%;
	top: 2%;
	transform: translateX(-50%);
	z-index: 5;
}

#skills-section .skillsbox2 {
	position: absolute;
	left: 50%;
	top: 28%;
	transform: translateX(-50%);
}

#skills-section .skillsbox3 {
	position: absolute;
	right: 25%;
	top: 2%;
	transform: translateX(50%);
	z-index: 5;
}

#skills-section .skillsbox4 {
	position: absolute;
	left: 25%;
	top: 52%;
	transform: translateX(-50%);
	z-index: 2;
}

#skills-section .skillsbox5 {
	position: absolute;
	right: 25%;
	top: 52%;
	transform: translateX(50%);
	z-index: 1;
}

.skillsbox:hover {
	cursor: grab;
	border: 5px white solid;
	transition: 0.8s;
}


.skillsbox {
	box-sizing: border-box;
	background-color: #212426;
	border-radius: 40px;
	width: 340px;
	height: 340px;
	box-shadow: 5px 5px 5px black;
	position: relative;
	transform: scale(0);
	opacity: 0;
	animation: fadeOut 1s forwards;
	box-sizing: border-box;
	transition: 0.8s;
	z-index: 10;
}

@keyframes fadeOut {
	0% {
		transform: scale(1);
		opacity: 1;
	}
	100% {
		transform: scale(0);
		opacity: 0;
	}
}

.tampil {
	animation: fadeIn 300ms forwards;
}

@keyframes fadeIn {
	0% {
		transform: scale(0);
		opacity: 0;
	}
	100% {
		transform: scale(1);
		opacity: 1;
	}
}

.skillsbox img {
	position: absolute;
	top: 30px;
	left: 30px;
	max-width: 75px;
	width: 100%;
	height: 75px;
	transition: 0.4s;
}

.skillsbox img:hover {
	position: absolute;
	top: 30px;
	left: 30px;
	max-width: 75px;
	width: 100%;
	height: 75px;
	transform: scale(1.1);
	transition: 0.4s;
}

.skillsbox .skillsheader {
	position: absolute;
	left: 37%;
	top: 10%;
}

.skillsheader h2 {
	font-size: 20px;
	font-weight: 300;
	color: slategray;
	margin-left: -3px;
}

.skillsline {
	background-color: #FC8644;
	width: 40px;
	height: 1px;
	margin-top: 3px;
}

.skillsheader h3 {
	color: white;
	font-size: 23px;
	font-weight: 300;
	margin-top: 7px;
}

.skillsbox .progressbar1 {
	height: calc(80/100 * 180px);
	width: 40px;
	background-color: #52acff;
	position: absolute;
	border-radius: 15px;
	bottom: 30px;
	left: 30px;
	transition: 0.5s;
}

.skillsbox .progressbar2 {
	height: calc(85/100 * 180px);
	width: 40px;
	background-color: #52acff;
	position: absolute;
	border-radius: 15px;
	bottom: 30px;
	left: 30px;
	transition: 0.5s;
}

.skillsbox .progressbar3 {
	height: calc(90/100 * 180px);
	width: 40px;
	background-color: #52acff;
	position: absolute;
	border-radius: 15px;
	bottom: 30px;
	left: 30px;
	transition: 0.5s;
}

.skillsbox .progressbar4 {
	height: calc(90/100 * 180px);
	width: 40px;
	background-color: #52acff;
	position: absolute;
	border-radius: 15px;
	bottom: 30px;
	left: 30px;
	transition: 0.5s;
}

.skillsbox .progressbar5 {
	height: calc(80/100 * 180px);
	width: 40px;
	background-color: #52acff;
	position: absolute;
	border-radius: 15px;
	bottom: 30px;
	left: 30px;
	transition: 0.5s;
}

.skillsbox .progressbarframe {
	height: 180px;
	width: 40px;
	border: 3px white solid;
	position: absolute;
	border-radius: 15px;
	bottom: 30px;
	left: 30px;
	transition: 0.5s;
	z-index: 10;
}

.skillsinfo {
	position: relative;
	top: 125px;
	left: 28%;
}

.skillsinfo h4 {
	color: #25CF73;
	font-size: 35px;
	font-weight: 800;
}

.bullets {
	display: inline-flex;
}

.bullet {
	background-color: #58595B;
	width: 8px;
	height: 8px;
	border-radius: 50px;
	margin-right: 4px;
}

.skillsinfo p {
	margin-top: 10px;
	color: antiquewhite;
	width: 200px;
	font-size: 13px;
	font-weight: 300;
	line-height: 20px;
}

.experience {
	position: absolute;
	color: #1C1D1F;
	left: 50%;
	right: 50%;
	display: flex;
	flex-direction: column;
	align-items: center;
	margin-top: 25%;
	transition: all 0.8s ease;
}

.experience:hover {
	transform-origin: left center;
	transform: translateY(-20px);
	transition: all 0.8s ease;
}

.experience h2 {
	font-size: 50px;
	font-weight: 400;
	font-style: italic;
}

.experience h3 {
	line-height: 150px;
	font-size: 200px;
	font-weight: 800;
}

.star {
	margin-top: 15px;
	display: flex;
	flex-direction: row;
	justify-content: center;
}

.star img {
	width: 55px;
	height: auto;
}

#contact-section {
	background: #D2D3D5;
	height: 100vh;
	width: 100%;
	max-width: 1920px;
	background-repeat: no-repeat;
	background-size: auto;
	position: relative;
	z-index: 2;
}

#contact-section .listcontact {
	padding-top: 16%;
	margin-left: 7%;
}

#contact-section h1 {
	text-align: left;
	position: relative;
	color: white;
	font-weight: 800;
	font-size: 40px;
}

#contact-section .lineleft {
	background-color: #FC8644;
	width: 50px;
	height: 3px;
	border-radius: 30px;
	margin-top: 1%;
	position: relative;
}

.contactinfo i{
	color: white;
	font-size: 50px;
	transition: all 0.3s ease;
	align-items: center;
	align-content: center;
}

.info {
	color: white;
	position: relative;
}

#contact-section .contactbottom img {
	position: absolute;
	width: 100%;
	height: auto;
}

.contactinfo {
	display: flex;
	align-items: center;
	flex-direction: row;
	align-content: flex-start;
	margin-top: 20px;
}

.contactinfo i:hover{
	transform: translateX(10px);
	transition: all 0.3s ease;
}

.contactinfo p {
	font-size: 25px;
	margin-left: 20px;
}

#about-section {
	background: #1C1D1F;
	height: 100vh;
	width: 100%;
	max-width: 1920px;
	background-repeat: no-repeat;
	background-size: auto;
	position: relative;
	z-index: 4;
}

#about-section .abouttext {
	position: absolute;
	right: 8.5%;
	top: 15%;
	color: white;
	width: 40%;
}

#about-section h1 {
	text-align: right;
	position: relative;
	color: white;
	font-weight: 800;
	font-size: 40px;
}

.lineright {
	margin-top: 18px;
	background-color: white;
	width: 50px;
	height: 5px;
	position: relative;
	margin-right: 0;
	margin-left: auto;
}

.abouttext p {
	text-align: right;
	position: relative;
	clear: both;
	margin-top: 25px;
}

.character img {
	width: 400px;
	height: auto;
	position: absolute;
	bottom: 93px;
	z-index: 3;
	left: 100px;
	transition: 0.8s;
}

.character img:hover {
	transform: translateX(-100px);
	transition: 0.8s;
}


.school {
	display: flex;
	flex-direction: row;
	position: absolute;
	bottom: 250px;
	right: 130px;
	z-index: 4;
}

.school p {
	color: white;
	width: 150px;
	text-align: center;
	font-size: 20px;
	font-weight: 800;
	transition: all 0.8s ease;
}

.school p:hover {
	color: orange;
	transform: translateY(-20px);
	transition: all 0.8s ease;
}

.point {
	background-color: gray;
	width: 20px;
	height: 20px;
	border-radius: 50%;
	margin-top: 10px;
}

.lineprogress {
	background-color: white;
	width: 900px;
	height: 5px;
	position: absolute;
	right: 0;
	bottom: 257px;
	z-index: 3;
}

.schooldata {
	display: flex;
	flex-direction: column;
	text-align: center;
	align-items: center;
	align-content: center;
	align-self: flex-end;
	margin-left: 30px;
}

.footer {
	background-color: #FFFFFF;
	position: absolute;
	bottom: 0;
	width: 100%;
	height: 100px;
	display: flex;
	z-index: 4;
}

.copyright {
	padding: 30px 100px;
}

.copyright p {
	font-size: 14px;
	font-weight: 500;
}

.payment {
	padding: 30px 100px;
	margin-right: 0;
	margin-left: auto;
}

.payment img {
	width: 40px;
	height: auto;
}

.payment p {
	text-align: right;
	font-size: 14px;
	font-weight: 500;
}
